Game Sessions

Get all game sessions of an app

get

Retrieve all game sessions for the authenticated app

Authorizations
x-app-api-keystringRequired

App API key in format:

Responses
chevron-right
200

Game sessions retrieved successfully

application/json
get
/apps/game-sessions

Create a new game session

post

Create a new game session for the authenticated app. Optionally specify a mini game type name or ID to associate with the game session. Cannot be both name and id.

Authorizations
x-app-api-keystringRequired

App API key in format:

Body
namestring · nullableOptional

Game session name

descriptionstring · nullableOptional

Game session description

statusstring · enumOptional

Game session status

Default: ACTIVEPossible values:
miniGameTypeIdstring · nullableOptional

Optional mini game type ID to associate with this game session.

miniGameTypeNamestring · nullableOptional

Optional mini game type name to associate with this game session.

Responses
post
/apps/game-sessions

Get a game session by ID

get

Retrieve a specific game session by its ID

Authorizations
x-app-api-keystringRequired

App API key in format:

Path parameters
sessionIdstringRequired

Game session ID

Responses
chevron-right
200

Game session retrieved successfully

application/json
idstringRequired

Unique game session identifier

namestring · nullableOptional

Game session name

descriptionstring · nullableOptional

Game session description

statusstring · enumRequired

Game session status

Possible values:
startTimestring · date-timeRequired

Game session start time

endTimestring · date-time · nullableOptional

Game session end time

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

playerCountnumberRequired

Number of players in the game session

Default: 0
get
/apps/game-sessions/{sessionId}

Get all players in a game session

get

Retrieve all players registered to a specific game session

Authorizations
x-app-api-keystringRequired

App API key in format:

Path parameters
sessionIdstringRequired

Game session ID

Responses
chevron-right
200

Game session players retrieved successfully

application/json
get
/apps/game-sessions/{sessionId}/players

Register a player to a game session

post

Register an existing player to a specific game session

Authorizations
x-app-api-keystringRequired

App API key in format:

Path parameters
sessionIdstringRequired

Game session ID

Body
playerIdstringRequired

Player ID to register

Responses
post
/apps/game-sessions/{sessionId}/players

Update a player's score in a game session

patch

Update the score of a specific player in a game session

Authorizations
x-app-api-keystringRequired

App API key in format:

Path parameters
sessionIdstringRequired

Game session ID

playerIdstringRequired

Player ID

Body
scorenumberRequired

Player score

Responses
chevron-right
200

Player score updated successfully

application/json
scorenumberRequired

Player score

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

playerIdstringRequired

Associated player ID

displayNamestringRequired

Player display name

imageUrlstring · nullableOptional

URL to player's profile image

patch
/apps/game-sessions/{sessionId}/players/{playerId}

Last updated